> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truv.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get list of orders by SSN

> The endpoint returns a list of orders by an applicant SSN



## OpenAPI

````yaml POST /v1/orders/lookup/
openapi: 3.0.1
info:
  title: Truv API
  description: Truv API Documentation
  termsOfService: https://www.truv.com/legal/terms-of-use
  contact:
    email: support@truv.com
  version: v1
servers:
  - url: https://prod.truv.com
security:
  - ClientID: []
    AccessKey: []
tags:
  - name: Users
  - name: Bridge Token
  - name: Companies and Data Providers
  - name: Key Management
  - name: Account Links
  - name: Data Refresh
  - name: Customization Templates
  - name: Webhooks
  - name: Orders
  - name: Tasks
  - name: VOIE Reports
  - name: VOA Reports
  - name: Income Insights Reports
  - name: DDS Reports
  - name: Employment
  - name: Identity
  - name: Shifts
  - name: Pay Statements
  - name: Tax Documents
  - name: Parsed Documents
  - name: Reports
  - name: Uploaded Documents
  - name: Bank Accounts
  - name: Bank Statements
  - name: Deposit Switch Reports
  - name: Insurance Reports
  - name: Income Report
  - name: Scoring Attributes
  - name: Accounts
  - name: Transactions
  - name: Recurring Transactions
  - name: Document Collections
paths:
  /v1/orders/lookup/:
    parameters: []
    post:
      tags:
        - Orders
      summary: Get list of orders by SSN
      description: The endpoint returns a list of orders by an applicant SSN
      operationId: orders_list_lookup
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrderGroupSSNSearch'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrderListResponse'
        '400':
          description: HTTP 400 Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error400'
        '401':
          description: HTTP 401 Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
        '403':
          description: HTTP 403 Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
components:
  schemas:
    OrderGroupSSNSearch:
      required:
        - ssn
      type: object
      properties:
        ssn:
          title: Ssn
          type: string
          maxLength: 11
          minLength: 9
    OrderListResponse:
      required:
        - count
        - next
        - previous
        - results
      type: object
      properties:
        count:
          description: Number of orders to return
          type: integer
          example: 100
        next:
          description: Url to the next page
          type: string
          nullable: true
          example: https://prod.truv.com/v1/orders/lookup/?page=2
        previous:
          description: Url to the previous page
          type: string
          nullable: true
          example: https://prod.truv.com/v1/orders/lookup/?page=1
        results:
          description: List orders by an applicant SSN
          type: array
          items:
            type: object
            required:
              - id
              - first_name
              - last_name
              - user_id
              - products
              - source
              - client_name
              - share_url
              - created_at
              - expired_at
              - employers
              - is_expired
            properties:
              id:
                description: Unique ID
                type: string
                example: 39aa1486ccca4bc19cda071ffc1ba392
              products:
                description: Types of products selected for the order
                type: array
                example:
                  - income
                items:
                  type: string
                  enum:
                    - income
                    - employment
                    - deposit_switch
                    - pll
                    - insurance
                    - transactions
                    - assets
              source:
                description: Type of the platform (internal, accio, etc.)
                type: string
                example: floify
                enum:
                  - floify
                  - besmartee
                  - lenderlogix
                  - encompass_consumer_connect
                  - byte
                  - core_logic
                  - xactus
                  - constellation
                  - banno
                  - mx
                  - q2
                  - clutch
                  - accio
                  - encompass
                  - tpo_connect
                  - darkmatter
                  - tazworks
                  - internal
                  - simplenexus
                  - external_webpage
                  - individual
                  - alkami
                  - blue_sage
                  - lodasoft
                  - blend
                  - tidalwave
                  - self_signup
              order_number:
                description: External ID
                type: string
                example: '1534332'
              custom_field:
                description: >-
                  User provided custom field. Must be enabled in the
                  customization section.
                type: string
                nullable: true
              client_name:
                description: Client name displayed on the order page
                type: string
                example: Unnamed Verifications Inc.
              first_name:
                description: First name
                type: string
                example: John
              last_name:
                description: Last name
                type: string
                example: Doe
              user_id:
                description: Unique Truv ID of the user.
                type: string
                example: 99dd17074ac94aa9ace2621d657c7610
              bridge_token:
                description: UUID value of bridge token
                type: string
                example: e4100fccdae94691b4414c7306220c06
              share_url:
                description: Landing page URL to share
                type: string
                example: >-
                  https://cdn.truv.com/employment.html?bridge_token=63b4af88facb40e48f517c1e8c7abdf4&order_group_id=39aa1486ccca4bc19cda071ffc1ba392
              created_at:
                description: Date and time when order was created
                type: string
                format: date-time
                example: '2021-04-21T21:45:14.418542Z'
              updated_at:
                description: Date and time when order was updated
                type: string
                format: date-time
                example: '2021-04-21T21:45:14.418542Z'
              canceled_at:
                description: Date and time when order was canceled
                type: string
                format: date-time
                nullable: true
                example: '2021-04-22T21:45:14.418542Z'
              completed_at:
                description: Date and time when order was successfully completed
                type: string
                format: date-time
                nullable: true
                example: '2021-04-22T21:45:14.418542Z'
              expired_at:
                description: Date and time when order would expire
                type: string
                format: date-time
                example: '2021-04-24T21:45:14.418542Z'
              is_expired:
                description: If order is already expired
                type: boolean
              user_consent_at:
                description: Date and time when explicit user consent was given
                type: string
                format: date-time
                nullable: true
                example: '2021-04-21T21:45:14.418542Z'
              initial_order:
                description: >-
                  ID of an origin order if the order was created by the order
                  data refresh operation
                type: string
                nullable: true
                example: f5dc0239e2094dbc90ab2edc1918a9df
              refresh_order:
                description: >-
                  ID of the last refresh order created by the order data refresh
                  operation for the order
                type: string
                nullable: true
                example: 9b96606355b94e8abff8ed8d75aa2027
              employers:
                description: List of employers
                type: array
                items:
                  $ref: '#/components/schemas/EmployerListResponse'
              insurance:
                $ref: '#/components/schemas/InsuranceListResponse'
              manager:
                type: object
                required:
                  - email
                properties:
                  email:
                    description: Email of the order manager
                    type: string
                    example: john.doe@example.com
                    maxLength: 255
                  name:
                    description: Name of the order manager
                    type: string
                    example: John Doe
                    maxLength: 600
                nullable: true
                description: Order manager info associated with an order.
              financial_accounts:
                description: List of financial accounts
                type: array
                nullable: true
                items:
                  $ref: '#/components/schemas/BankResponse'
              loan:
                $ref: '#/components/schemas/Loan'
              template_id:
                description: ID of the template
                type: string
                nullable: true
                example: 9b96606355b94e8abff8ed8d75aa2027
              cc_emails:
                description: >-
                  A list of email addresses that will receive carbon copies (CC)
                  of order status updates.
                type: array
                items:
                  type: string
                  format: email
                maxItems: 15
              short_share_url:
                description: Shortened verification URL to share
                type: string
                example: https://truv.com/s/BIlEyh1A
              voie_report_id:
                description: GSE accepted income and employment verification report ID
                type: string
                nullable: true
                example: b19c454a98594b4084b71e3b62873d29
              voa_report_id:
                description: Verification of Assets report ID
                type: string
                nullable: true
                example: b19c454a98594b4084b71e3b62873d29
              income_insights_report_id:
                description: Income Insights report ID
                type: string
                nullable: true
                example: b19c454a98594b4084b71e3b62873d29
              aim_check_report_id:
                description: AIM check report ID
                type: string
                nullable: true
                example: FM-1234-39aa1486ccca4bc19cda071ffc1ba392
              notes:
                description: Free text field for notes associated with the order
                type: string
                example: To be processed by John Doe
                nullable: true
                minLength: 1
                maxLength: 2000
      description: List orders by an applicant SSN
    Error400:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: incorrect_parameters
            message:
              description: ''
              type: string
              example: Incorrect request parameters
            extra:
              description: ''
              type: object
              properties:
                invalid-params:
                  description: ''
                  type: array
                  items:
                    description: ''
                    type: object
                    properties:
                      field:
                        description: ''
                        type: string
                        example: access_token
                      message:
                        description: ''
                        type: string
                        example: This field is required.
                  example:
                    - field: access_token
                      message: This field is required.
    Error401:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: authentication_failed
            message:
              description: ''
              type: string
              example: No such token
    Error403:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: not_authenticated
            message:
              description: ''
              type: string
              example: Authentication credentials were not provided.
    EmployerListResponse:
      required:
        - id
        - status
        - created_at
      type: object
      properties:
        id:
          description: Unique ID
          type: string
          example: ad9f14440d624ec3b0f66e81e44518c7
        product_type:
          description: Type of the product.
          type: string
          enum:
            - income
            - employment
            - deposit_switch
            - pll
          example: income
        status:
          description: Order status
          type: string
          enum:
            - pending
            - sent
            - completed
            - error
            - canceled
            - expired
            - no_data
            - skipped
          example: pending
        suborder_number:
          description: External ID
          type: string
          nullable: true
          example: '133982343355'
        created_at:
          description: Date and time when order was created
          type: string
          example: '2021-04-21T22:12:59.346109Z'
        bridge_token:
          description: UUID value of bridge token
          type: string
          example: e4100fccdae94691b4414c7306220c06
        link_id:
          description: Link ID for the connected account
          type: string
          nullable: true
          example: e4100fccdae94691b4414c7306220c06
        access_token:
          description: Access token to perform data refresh
          type: string
          example: e4100fccdae94691b4414c7306220c06
        pdf_report:
          description: Verification report in PDF format
          type: string
          format: uri
          example: https://cdn.truv.com/report.pdf
        data_source:
          description: >-
            Source of data: payroll - payroll provider parsing, docs - user
            uploaded documents, insurance - insurance data, financial_accounts -
            bank data, tax - tax documents, scoring_attributes - transactions
            scoring attributes report.
          type: string
          enum:
            - payroll
            - docs
            - tax
            - financial_accounts
            - null
          nullable: true
          example: payroll
        provider:
          description: Payroll or insurance provider
          required:
            - id
            - name
          type: object
          nullable: true
          properties:
            id:
              description: Provider id
              type: string
              example: truv_api
            name:
              description: Provider name
              type: string
              example: Sandbox Provider
            logo_url:
              description: Provider logo url
              type: string
              format: uri
              example: https://cdn.truv.com/providers/truv-blue.svg
        is_suspicious:
          description: >-
            Flag to indicate if the data from the source is suspicious. E.g.
            fraud detected in uploaded documents or SSN of the user does not
            match with the data
          type: boolean
        start_date:
          description: Employment start date
          type: string
          example: '2019-08-24'
          nullable: true
        end_date:
          description: Employment start date
          type: string
          example: '2019-11-27'
          nullable: true
        company_name:
          description: Company name
          type: string
          example: Facebook Demo
          nullable: true
        company_address:
          description: Company address
          required:
            - street
            - city
            - state
            - zip
          type: object
          nullable: true
          properties:
            street:
              description: Company location street
              type: string
              example: 1 Hacker Way
            city:
              description: Company location city
              type: string
              example: Menlo Park
            state:
              description: Company location state
              type: string
              example: CA
            zip:
              description: Company location zip code
              type: string
              example: '94025'
        company_domain:
          description: Company website domain
          type: string
          nullable: true
          example: facebook.com
        company_logo:
          description: Company logo URL
          type: string
          format: uri
          nullable: true
          example: https://cdn.truv.com/company_logos/facebook.svg
    InsuranceListResponse:
      required:
        - id
        - status
        - created_at
      type: object
      nullable: true
      properties:
        id:
          description: Unique ID
          type: string
          example: ad9f14440d624ec3b0f66e81e44518c7
        product_type:
          description: Type of the product.
          type: string
          enum:
            - insurance
          example: insurance
        status:
          description: Order status
          type: string
          enum:
            - pending
            - sent
            - completed
            - error
            - canceled
            - expired
            - no_data
            - skipped
          example: pending
        suborder_number:
          description: External ID
          type: string
          example: '133982343355'
        created_at:
          description: Date and time when order was created
          type: string
          example: '2021-04-21T22:12:59.346109Z'
        bridge_token:
          description: UUID value of bridge token
          type: string
          example: e4100fccdae94691b4414c7306220c06
        link_id:
          description: Link ID for the connected account
          type: string
          example: e4100fccdae94691b4414c7306220c06
        access_token:
          description: Access token to perform data refresh
          type: string
          example: e4100fccdae94691b4414c7306220c06
        pdf_report:
          description: Verification report in PDF format
          type: string
          format: uri
          example: https://cdn.truv.com/report.pdf
        data_source:
          description: >-
            Source of data: payroll - payroll provider parsing, docs - user
            uploaded documents, insurance - insurance data, financial_accounts -
            bank data, tax - tax documents, scoring_attributes - transactions
            scoring attributes report.
          type: string
          enum:
            - insurance
            - docs
          example: insurance
        provider:
          description: Payroll or insurance provider
          required:
            - id
            - name
          type: object
          properties:
            id:
              description: Provider id
              type: string
              example: truv_api
            name:
              description: Provider name
              type: string
              example: Sandbox Provider
            logo_url:
              description: Provider logo url
              type: string
              format: uri
              example: https://cdn.truv.com/providers/truv-blue.svg
        is_suspicious:
          description: >-
            Flag to indicate if the data from the source is suspicious. E.g.
            fraud detected in uploaded documents or SSN of the user does not
            match with the data
          type: boolean
      description: Insurance verification meta data
    BankResponse:
      required:
        - id
        - status
        - created_at
      type: object
      properties:
        id:
          description: Unique ID
          type: string
          example: ad9f14440d624ec3b0f66e81e44518c7
        product_type:
          description: Type of the product.
          type: string
          enum:
            - transactions
            - assets
          example: transactions
        status:
          description: Order status
          type: string
          enum:
            - pending
            - sent
            - completed
            - error
            - canceled
            - expired
            - no_data
            - skipped
          example: pending
        suborder_number:
          description: External ID
          type: string
          nullable: true
          example: '133982343355'
        created_at:
          description: Date and time when order was created
          type: string
          example: '2021-04-21T22:12:59.346109Z'
        bridge_token:
          description: UUID value of bridge token
          type: string
          example: e4100fccdae94691b4414c7306220c06
        link_id:
          description: Link ID for the connected account
          type: string
          nullable: true
          example: e4100fccdae94691b4414c7306220c06
        access_token:
          description: Access token to perform data refresh
          type: string
          nullable: true
          example: e4100fccdae94691b4414c7306220c06
        pdf_report:
          description: Verification report in PDF format
          type: string
          format: uri
          nullable: true
          example: https://cdn.truv.com/report.pdf
        data_source:
          description: >-
            Source of data: payroll - payroll provider parsing, docs - user
            uploaded documents, insurance - insurance data, financial_accounts -
            bank data, tax - tax documents, scoring_attributes - transactions
            scoring attributes report.
          type: string
          enum:
            - financial_accounts
            - null
          nullable: true
          example: financial_accounts
        provider:
          description: Payroll or insurance provider
          required:
            - id
            - name
          type: object
          nullable: true
          properties:
            id:
              description: Provider id
              type: string
              nullable: true
              example: truv_api
            name:
              description: Provider name
              type: string
              example: Sandbox Provider
            logo_url:
              description: Provider logo url
              type: string
              nullable: true
              format: uri
              example: https://cdn.truv.com/providers/truv-blue.svg
        is_suspicious:
          description: >-
            Flag to indicate if the data from the source is suspicious. E.g.
            fraud detected in uploaded documents or SSN of the user does not
            match with the data
          type: boolean
        accounts:
          description: List of bank accounts
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/BankResponseAccount'
      description: Bank transactions meta data
    Loan:
      required:
        - loan_number
      type: object
      nullable: true
      properties:
        loan_number:
          description: Loan identifier
          type: string
          example: MUUT220700012
          maxLength: 128
        originator_name:
          description: Name of the loan originator
          type: string
          example: John Doe
          maxLength: 255
          nullable: true
        originator_email:
          description: Email of the loan originator
          type: string
          format: email
          example: john@example.com
          maxLength: 255
          nullable: true
        loan_processor_name:
          description: Name of the loan processor
          type: string
          example: John Doe
          maxLength: 255
          nullable: true
        loan_processor_email:
          description: Email of the loan processor
          type: string
          format: email
          example: john@doe.com
          maxLength: 255
          nullable: true
        external_id:
          description: External loan ID
          type: string
          nullable: true
          example: c505e0f1b4134fdc853fc87e7d2cc4a5
      description: Loan Information
    BankResponseAccount:
      type: object
      required:
        - id
      properties:
        id:
          description: Account ID
          type: string
          example: 24d7e80942ce4ad58a93f70ce4115f5c
        type:
          description: The account's type
          type: string
          example: CHECKING
          enum:
            - CHECKING
            - SAVINGS
            - LOAN
            - CREDIT_CARD
            - INVESTMENT
            - LINE_OF_CREDIT
            - MORTGAGE
            - PROPERTY
            - CASH
            - INSURANCE
            - PREPAID
            - CHECKING_LINE_OF_CREDIT
            - null
          nullable: true
        subtype:
          description: The account's subtype
          type: string
          example: MONEY_MARKET
          enum:
            - MONEY_MARKET
            - CERTIFICATE_OF_DEPOSIT
            - AUTO
            - STUDENT
            - SMALL_BUSINESS
            - PERSONAL
            - PERSONAL_WITH_COLLATERAL
            - HOME_EQUITY
            - BOAT
            - POWERSPORTS
            - RV
            - HELOC
            - PLAN_401_K
            - PLAN_403_B
            - PLAN_529
            - IRA
            - ROLLOVER_IRA
            - ROTH_IRA
            - TAXABLE
            - NON_TAXABLE
            - BROKERAGE
            - TRUST
            - UNIFORM_GIFTS_TO_MINORS_ACT
            - PLAN_457
            - PENSION
            - EMPLOYEE_STOCK_OWNERSHIP_PLAN
            - SIMPLIFIED_EMPLOYEE_PENSION
            - SIMPLE_IRA
            - PLAN_ROTH_401_K
            - FIXED_ANNUITY
            - VARIABLE_ANNUITY
            - HSA
            - TAX_FREE_SAVINGS_ACCOUNT
            - INDIVIDUAL
            - REGISTERED_RETIREMENT_INCOME_FUND
            - CASH_MANAGEMENT_ACCOUNT
            - EMPLOYEE_STOCK_PURCHASE_PLAN
            - REGISTERED_EDUCATION_SAVINGS_PLAN
            - PROFIT_SHARING_PLAN
            - UNIFORM_TRANSFER_TO_MINORS_ACT
            - PLAN_401_A
            - SARSEP_IRA
            - FIXED_ANNUITY_TRADITIONAL_IRA
            - VARIABLE_ANNUITY_TRADITIONAL_IRA
            - SEPP_IRA
            - INHERITED_TRADITIONAL_IRA
            - FIXED_ANNUITY_ROTH_IRA
            - VARIABLE_ANNUITY_ROTH_IRA
            - INHERITED_ROTH_IRA
            - COVERDELL
            - ADVISORY_ACCOUNT
            - BROKERAGE_MARGIN
            - CHARITABLE_GIFT_ACCOUNT
            - CHURCH_ACCOUNT
            - CONSERVATORSHIP
            - CUSTODIAL
            - DEFINED_BENEFIT_PLAN
            - DEFINED_CONTRIBUTION_PLAN
            - EDUCATIONAL
            - ESTATE
            - EXECUTOR
            - GROUP_RETIREMENT_SAVINGS_PLAN
            - GUARANTEED_INVESTMENT_CERTIFICATE
            - HRA
            - INDEXED_ANNUITY
            - INVESTMENT_CLUB
            - IRREVOCABLE_TRUST
            - JOINT_TENANTS_BY_ENTIRITY
            - JOINT_TENANTS_COMMUNITY_PROPERTY
            - JOINT_TENANTS_IN_COMMON
            - JOINT_TENANTS_WITH_RIGHTS_OF_SURVIVORSHIP
            - KEOUGH_PLAN
            - LIFE_INCOME_FUND
            - LIVING_TRUST
            - LOCKED_IN_RETIREMENT_ACCOUNT
            - LOCKED_IN_RETIREMENT_INVESTMENT_FUND
            - LOCKED_IN_RETIREMENT_SAVINGS_ACCOUNT
            - MONEY_PURCHASE_PLAN
            - PARTNERSHIP
            - PLAN_409_A
            - PLAN_ROTH_403_B
            - REGISTERED_DISABILITY_SAVINGS_PLAN
            - REGISTERED_LOCKED_IN_SAVINGS_PLAN
            - REGISTERED_PENSION_PLAN
            - REGISTERED_RETIREMENT_SAVINGS_PLAN
            - REVOCABLE_TRUST
            - ROTH_CONVERSION
            - SOLE_PROPRIETORSHIP
            - SPOUSAL_IRA
            - SPOUSAL_ROTH_IRA
            - TESTAMENTARY_TRUST
            - THRIFT_SAVINGS_PLAN
            - INHERITED_ANNUITY
            - CORPORATE_ACCOUNT
            - LIMITED_LIABILITY_ACCOUNT
            - VEHICLE_INSURANCE
            - DISABILITY
            - HEALTH
            - LONG_TERM_CARE
            - PROPERTY_AND_CASUALTY
            - UNIVERSAL_LIFE
            - TERM_LIFE
            - WHOLE_LIFE
            - ACCIDENTAL_DEATH_AND_DISMEMBERMENT
            - VARIABLE_UNIVERSAL_LIFE
            - ROTH
            - ROLLOVER
            - OTHER
            - ANNUITY
            - TRANSFERRABLE_ON_DEATH
            - null
          nullable: true
        mask:
          description: The last four digits of the account number.
          type: string
          readOnly: true
          example: '6789'
        balance:
          description: The current balance of the account.
          type: string
          format: decimal
          readOnly: true
          nullable: true
          example: '5000.00'
        owners:
          description: List of account owners.
          type: array
          readOnly: true
          items:
            type: object
            properties:
              full_name:
                description: Full name of the account owner.
                type: string
                readOnly: true
                example: John Doe
                maxLength: 255
  securitySchemes:
    ClientID:
      type: apiKey
      description: Client ID
      name: X-Access-Client-Id
      in: header
    AccessKey:
      type: apiKey
      description: Client Access Key
      name: X-Access-Secret
      in: header

````